%global momorel 1
%global __libtoolize :

Summary: A high-level language for numerical computations.
Name: octave
Version: 2.9.12
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Engineering
%NoSource 0 ftp://ftp.octave.org/pub/octave/bleeding-edge/octave-%{version}.tar.bz2 cd1cfde5ef28e0faf79ce306cf178276
URL: http://www.che.wisc.edu/octave/
Requires: gnuplot pager autoconf
Prereq: info
BuildPreReq: readline-devel >= 5.0
BuildPreReq: gnuplot bison flex pager tetex gcc-gfortran gperf lapack-devel blas-devel fftw3-devel hdf5-devel
BuildPreReq: ncurses-devel zlib-devel libstdc++-devel
BuildRequires:  ufsparse-devel glpk-devel
BuildPreReq: automake
BuildPreReq: gcc-c++ gcc-gfortran
BuildPreReq: autoconf >= 2.56-3m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language. Octave
has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%package devel
Summary:        Development headers and files for Octave
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The octave-devel package contains files needed for developing
applications which use GNU Octave.


%prep
#'
%setup -q

%build
export CPPFLAGS=-I%{_includedir}/glpk
F77="gfortran" CFLAGS=-fPIC ./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --enable-dl \
    --enable-shared=yes \
    --enable-rpath \
    --enable-lite-kernel \
    --enable-picky-flags \
    --enable-static=no \
    --with-g77
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# XXX Nuke unpackaged files
rm -f %{buildroot}%{_infodir}/dir

# Make library links in /usr/lib
# XXX Not really clean.
#
if [ -d %{buildroot}/usr/lib64/octave-%{version} ]; then
pushd %{buildroot}/usr/lib64
elif [ -d %{buildroot}/usr/lib/octave-%{version} ]; then
pushd %{buildroot}/usr/lib
fi
ln -s octave-%{version}/libcruft.so.%{version} libcruft.so
ln -s octave-%{version}/liboctave.so.%{version} liboctave.so
ln -s octave-%{version}/liboctinterp.so.%{version} liboctinterp.so
popd

perl -pi -e "s,%{buildroot},," %{buildroot}/%{_libexecdir}/%{name}/ls-R
perl -pi -e "s,%{buildroot},," %{buildroot}/%{_datadir}/%{name}/ls-R

# Clean doc directory
pushd doc
if [ -f Makefile ];then
    make distclean
    rm -f *.in */*.in */*.cc refcard/*.tex
fi
popd

# Remove RPM_BUILD_ROOT from ls-R files
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT%{_libexecdir}/%{name}/ls-R
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT%{_datadir}/%{name}/ls-R

# Create desktop file
rm -rf %{buildroot}%{_datadir}/applications/www.octave.org-octave.desktop
desktop-file-install --vendor=  \
	--dir %{buildroot}%{_datadir}/applications examples/octave.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/octave.info %{_infodir}/dir

%preun
if [ "$1" = "0" ]; then
    /sbin/install-info --delete %{_infodir}/octave.info %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING NEWS* PROJECTS README* ROADMAP SENDING-PATCHES
%doc THANKS
%doc doc/faq doc/interpreter doc/liboctave doc/refcard emacs examples
%{_bindir}/octave
%{_bindir}/octave-%{version}
%{_libdir}/lib*
%{_libdir}/octave*
%{_datadir}/octave
%{_libexecdir}/octave/%{version}
%{_libexecdir}/octave/site
%{_mandir}/man*/octave*
%{_infodir}/octave.info*
%{_datadir}/applications/octave.desktop

%files devel
%defattr(-,root,root)
%doc doc/liboctave
%{_bindir}/mkoctfile*
%{_bindir}/octave-bug*
%{_bindir}/octave-config*
%{_includedir}/octave*
%{_mandir}/man*/mkoctfile*
%{_libexecdir}/octave/ls-R

%changelog
* Thu May 31 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.9.12-1m)
- update to 2.9.12

* Sun Nov 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.9.9-1m)
- update to octave-2.9.9/octave-forge-2006.07.09
- sync with octave-2.9.9-1.src.rpm in Fedora Extra
- (changelog in Fedora)
- * Mon Oct  3 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.9-1
- - New release. Remove old patch.
- 
- * Fri Sep 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.8-2
- - Fix this bug:
-   https://www.cae.wisc.edu/pipermail/bug-octave/2006-September/000687.html
- 
- * Fri Aug 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.8-1
- - New release. Remove old patch. This fixes bug #203676.
- 
- * Tue Aug 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.7-3
- - Add ghostscript as a build dependency.
- 
- * Tue Aug 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.7-2
- - Update patch to fix several small bugs, including #201087.
- 
- * Fri Jul 28 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.7-1
- - New release. Remove old patches and add one new one.
- 
- * Tue Jul 11 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.6-2
- - Patch for some erroneous warnings and a file path bug.
- 
- * Mon Jul 10 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.6-1
- - New release. Remove old patches.
- - Disable 64-bit extensions (some libraries don't support 64-bit indexing yet).
- - Add gcc-gfortran to -devel dependencies (mkoctfile fails without it).
- - Move octave-bug and octave-config from devel to main package.
- - Fix categorization of info files (bug 196760).
- 
- * Wed Apr 27 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-6
- - Add patch for bug #190481
- - Manual stripping of .oct files is no longer necessary.
- 
- * Wed Apr 19 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-5
- - Add new patch to configure script (breaks octave-forge without it).
- 
- * Fri Mar 24 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-4
- - Change patch again (suggested by the author on Octave mailing list).
- 
- * Fri Mar 24 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-3
- - Fix broken patch.
- 
- * Fri Mar 24 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-2
- - Add more changes to sparse patch.
- 
- * Thu Mar 23 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.5-1
- - New upstream release; remove old patches; add sparse patch.
- - Add gcc-c++ as dependency for devel package.
- - Add more docs; cleanup extra files in docs.
- - Simplify configure command.
- - Install desktop file.
- 
- * Fri Feb 24 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-8
- - Rebuild for new hdf5.
- - Remove obsolete configure options.
- - Make sure /usr/libexec/octave is owned by octave.
- 
- * Wed Feb 15 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-7
- - Rebuild for Fedora Extras 5.
- 
- * Wed Feb  1 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-6
- - Change dependency from fftw3 to fftw.
- 
- * Thu Jan 26 2006 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-5
- - Rebuild for new release of hdf5.
- 
- * Mon Dec 19 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-4
- - Rebuild for gcc 4.1.
- 
- * Thu Dec  1 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-3
- - Make sure patch applies correctly before building!
- 
- * Thu Dec  1 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-2
- - Patch to enable compilation on x86_64.
- 
- * Fri Nov 11 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.4-1
- - New upstream release.
- - Patch to make sure all headers are included in -devel.
- - PKG_ADD file now needs $RPM_BUILD_ROOT stripped from it.
- - Cleanup errors in dependencies.
- 
- * Tue Oct 25 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-6
- - Add lapack-devel and blas-devel dependencies to devel package.
- 
- * Mon Oct 03 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-5
- - Change umfpack-devel dependency to the new ufsparse-devel package.
- 
- * Thu Sep 22 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-5
- - Change lapack and blas dependencies to lapack-devel and blas-devel
- 
- * Mon Aug 08 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-4
- - Cleanup: remove redefinition of __libtoolize, ExcludeArch of two platforms,
-   old s390 workarounds, and LC_ALL setting. None of these appear to be
-   necessary any longer, even if the platforms were supported.
- - Add --enable-64 to configure to enable 64-bit array indexing on x86_64.
- - Add support for GLPK (new build dependency and CPPFLAGS for configure).
- 
- * Wed Jul 27 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-3
- - Add fftw3-devel to dependencies for devel
- 
- * Tue Jul 26 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-2
- - Add dependencies (hdf5-devel and zlib-devel) for devel
- 
- * Tue Jul 26 2005 Quentin Spencer <qspencer@users.sourceforge.net> 2.9.3-1
- - Move to new 2.9.x development tree.
- - Add umfpack-devel as new build dependency.

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.73-4m)
- rebuild against readline-5.0

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.73-3m)
- enable hdf5 support

* Thu Apr 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.73-2m)
- Added gcc41 patch

* Thu Apr 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.73-1m)
- update to 2.1.73

* Sun Feb 19 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.72-2m)
- rebuild against gcc-4.1

* Thu Jan 12 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.1.72-1m)
- update to 2.1.72
- gcc-4.1 build fix

* Thu Jun 30 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.71-1m)
- update to 2.1.71
- import octave-2.1.71-save.patch from FC
- split devel package

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.1.57-4m)
- rebuild against gcc-c++-3.4.1

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.1.57-3m)
- remove Epoch

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.57-2m)
- no nosource0

* Wed Jun 09 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.1.57-1m)
- update to 2.1.57
- sync with FC2 package

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.36-7m)
- revised spec for rpm 4.2.

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.36-6m)
- rebuild against rpm-4.0.4-52m

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.36-5m)
- change URI of acx_{blas,lapack}.m4 (Source1,2) to
  http://ac-archive.sourceforge.net/Installed_Packages/acx_{blas,lapack}.m4
  reported by Imuta Takeshi <imuchin777--at--m3.dion.ne.jp>([Momonga-devel.ja:01372]), thakns!

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.36-4m)
- use autoconf-2.53

* Tue Dec 03 2002 Kenta MURATA <muraken@momonga-linux.org>
- (2.1.36-3m)
- BuildPreReq: readline-devel >= 4.2

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.1.36-2m)
- require pager instead of less.

* Tue Oct  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
-(2.1.36-1m)
- update to 2.1.36
- sync with redhat
  add octave-2.1.36-gcc31.patch
  add -fno-use-cxa-atexit to CXXFLAGS
  get rid of 0 size doc files
- stop 'strip'

* Wed Jun 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add more dependencies in BuildPrereq (#45184)

* Fri Jun 08 2001 Trond Eivind Glomsr?<teg@redhat.com>
- No longer exclude ia64

* Mon Apr 23 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.34

* Tue Mar 27 2001 Trond Eivind Glomsr?<teg@redhat.com>
- set LC_ALL to POSIX before building, otherwise the generated paths.h is bad

* Wed Jan 10 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.33

* Mon Jan 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require compat-egcs-c++, but gcc-c++
- add some libtoolize calls to add newest versions

* Fri Dec 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.32, no longer use CVS as our needed fixes are in now
- add Prereq for info

* Thu Dec 07 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use a development version, as they have now been fixed
  to compile with the our current toolchain.

* Thu Aug 24 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.0.16, with compat C++ compiler and new C and f77 compilers
  The C++ code is too broken for our new toolchain (C++ reserved
  words used as enums and function names, arcane macros), but
  plotting works here and not in the beta (#16759)
- add epoch to upgrade the betas

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- make sure #line commands are not output within macro arguments

* Wed Jul 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.31

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- no longer disable optimizations, sparc excepted

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- added missing %% before {_infodir} in the %%post 

* Sat Jun 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.30 - the old version contains invalid C++ code
  accepted by older compilers.

* Sat Jun 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- disable optimization for C++ code

* Fri Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- add "Excludearch: " for Alpha - it triggers compiler bugs

* Fri Jun 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%configure, %%makeinstall, %{_infodir}. %{_mandir}
- remove prefix

* Tue May 09 2000 Trond Eivind Glomsr?<teg@redhat.com>
- upgraded to 2.0.16
- removed "--enable-g77" from the configure flags - let autoconf find it

* Thu Jan 20 2000 Tim Powers <timp@redhat.com>
- bzipped source to conserve space.

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.0.15.

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- rebuit for 6.1

* Wed Apr 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.14.

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
